public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libwacom/
Date: Thu,  1 Jun 2023 01:51:29 +0000 (UTC)	[thread overview]
Message-ID: <1685584284.365913190a1c3465b4ca2375f02960db55f10ab5.mattst88@gentoo> (raw)

commit:     365913190a1c3465b4ca2375f02960db55f10ab5
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  1 01:49:17 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Jun  1 01:51:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36591319

dev-libs/libwacom: Version bump to 2.7.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/libwacom/Manifest              |  1 +
 dev-libs/libwacom/libwacom-2.7.0.ebuild | 71 +++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/dev-libs/libwacom/Manifest b/dev-libs/libwacom/Manifest
index d7dda8c8f6a3..01811e335f7b 100644
--- a/dev-libs/libwacom/Manifest
+++ b/dev-libs/libwacom/Manifest
@@ -1 +1,2 @@
 DIST libwacom-2.6.0.tar.xz 110288 BLAKE2B 321bacccab84f287141257b4c7af12822fca976c335027d399765fdbbb2c59eabcc76f40d4fd83c7cf1cdc88e2c57ccd317b1922ea3dddb98cf2a0847e920ff1 SHA512 aacf234e77bd976de2e2a687294c5ab704dca5a70df01fa2485441029e4faa34bec2824c455642115ae79f5cbbac41d064569e4eb2788655c324b37149009d26
+DIST libwacom-2.7.0.tar.xz 111424 BLAKE2B 2cb046a7390c017680a2a67197896b0613fa3b0ca65d388b5d760fba1438c3079786efa77a5b69d26dce7b8813436ca4240500ef00d77e11427fee81df912d64 SHA512 47dd8fc7b82fce88ae9d857bcbecec2e45f2a83e832a5e1f97d5b09f77a2dacd53a470e08e756217fe7c5ef4420fdd8d3e3c37071336f7a3dce522b9fa781583

diff --git a/dev-libs/libwacom/libwacom-2.7.0.ebuild b/dev-libs/libwacom/libwacom-2.7.0.ebuild
new file mode 100644
index 000000000000..ebc7fd454b98
--- /dev/null
+++ b/dev-libs/libwacom/libwacom-2.7.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit meson python-any-r1 udev
+
+DESCRIPTION="Library for identifying Wacom tablets and their model-specific features"
+HOMEPAGE="https://github.com/linuxwacom/libwacom"
+SRC_URI="https://github.com/linuxwacom/${PN}/releases/download/${P}/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0/9" # libwacom SONAME
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/libgudev:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+	test? (
+		${PYTHON_DEPS}
+		$(python_gen_any_dep '
+			dev-python/python-libevdev[${PYTHON_USEDEP}]
+			dev-python/pyudev[${PYTHON_USEDEP}]
+			dev-python/pytest[${PYTHON_USEDEP}]
+		')
+	)
+"
+
+python_check_deps() {
+	python_has_version "dev-python/python-libevdev[${PYTHON_USEDEP}]" &&
+	python_has_version "dev-python/pyudev[${PYTHON_USEDEP}]" &&
+	python_has_version "dev-python/pytest[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	if use test; then
+		python-any-r1_pkg_setup
+	fi
+}
+
+src_prepare() {
+	default
+
+	# Don't call systemd daemon-reload in the test suite
+	sed -i -e '/daemon-reload/d' test/test_udev_rules.py || die
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature doc documentation)
+		$(meson_feature test tests)
+		-Dudev-dir=$(get_udevdir)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	udev_reload
+}
+
+pkg_postrm() {
+	udev_reload
+}


             reply	other threads:[~2023-06-01  1:51 UTC|newest]

Thread overview: 145+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-01  1:51 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-19  4:38 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libwacom/ Matt Turner
2024-09-19  4:38 Matt Turner
2024-09-12  8:01 Arthur Zamarin
2024-09-11 22:21 Sam James
2024-09-05 19:05 Arthur Zamarin
2024-09-04  4:54 Sam James
2024-09-04  1:59 Sam James
2024-09-04  1:59 Sam James
2024-07-29 13:27 Arthur Zamarin
2024-07-29 13:27 Arthur Zamarin
2024-07-29 11:13 Arthur Zamarin
2024-07-29 11:13 Arthur Zamarin
2024-07-29 11:13 Arthur Zamarin
2024-07-29 11:13 Arthur Zamarin
2024-07-29 10:38 Sam James
2024-07-22  3:34 Matt Turner
2024-07-22  3:34 Matt Turner
2024-07-02 12:07 Jakov Smolić
2024-04-24 17:59 Arthur Zamarin
2024-04-24 17:39 Arthur Zamarin
2024-04-24 17:39 Arthur Zamarin
2024-04-24 17:33 Arthur Zamarin
2024-04-24 17:17 Arthur Zamarin
2024-04-24 17:15 Arthur Zamarin
2024-04-24 17:13 Matt Turner
2024-02-24 20:15 Matt Turner
2023-12-24 11:08 Sam James
2023-12-01  3:26 Sam James
2023-12-01  3:26 Sam James
2023-12-01  3:26 Sam James
2023-12-01  3:26 Sam James
2023-09-10  3:43 Matt Turner
2023-08-02 13:19 Sam James
2023-07-19 15:07 Sam James
2023-07-19  9:33 Sam James
2023-07-18 21:52 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-05-10 15:30 Matt Turner
2023-03-13 20:26 Sam James
2023-03-04 14:24 Arthur Zamarin
2023-03-04  8:09 Arthur Zamarin
2023-03-04  7:54 Arthur Zamarin
2023-03-04  7:17 Arthur Zamarin
2023-03-04  5:58 Arthur Zamarin
2023-01-30 17:10 Matt Turner
2022-12-02  0:46 Sam James
2022-12-02  0:46 Sam James
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-12-01 20:41 Arthur Zamarin
2022-12-01 20:41 Arthur Zamarin
2022-10-15  2:45 Matt Turner
2022-10-09  1:06 Matt Turner
2022-10-09  1:06 Matt Turner
2022-09-03  1:36 Matt Turner
2022-09-03  1:36 Matt Turner
2022-09-01 18:39 Arthur Zamarin
2022-09-01  7:55 Jakov Smolić
2022-09-01  7:55 Jakov Smolić
2022-09-01  7:52 Jakov Smolić
2022-07-29 18:57 Matt Turner
2022-07-20 13:59 Pacho Ramos
2022-06-25 19:20 Matt Turner
2022-06-25 19:20 Matt Turner
2022-05-20 18:27 Pacho Ramos
2021-12-07  2:17 Sam James
2021-12-06 15:25 Sam James
2021-12-06  8:03 Agostino Sarubbo
2021-12-06  7:13 Agostino Sarubbo
2021-12-06  6:38 Arthur Zamarin
2021-12-05 18:29 Sam James
2021-09-07 14:08 Pacho Ramos
2021-08-24 13:39 Andreas Sturmlechner
2021-08-23 22:16 Agostino Sarubbo
2021-08-22  3:42 Sam James
2021-08-21  4:52 Agostino Sarubbo
2021-08-21  4:51 Agostino Sarubbo
2021-08-21  4:50 Agostino Sarubbo
2021-08-21  4:49 Agostino Sarubbo
2021-07-16 12:48 Andreas Sturmlechner
2021-05-27 19:23 Sam James
2021-05-27 19:18 Sam James
2021-05-27 19:14 Sam James
2021-03-20 16:27 Matt Turner
2020-12-31  3:28 Matt Turner
2020-03-09 20:22 Andreas Sturmlechner
2020-03-09 12:48 Agostino Sarubbo
2020-03-09 12:42 Agostino Sarubbo
2020-03-09 12:41 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-03-09 11:17 Agostino Sarubbo
2020-03-09 10:49 Agostino Sarubbo
2020-03-09 10:23 Agostino Sarubbo
2020-03-08 13:22 Mart Raudsepp
2020-03-01 22:02 Andreas Sturmlechner
2020-02-02  2:41 Matt Turner
2019-09-22 20:48 Andreas Sturmlechner
2019-09-21 18:09 Matt Turner
2019-09-15  8:24 Andreas Sturmlechner
2019-09-13 18:26 Mikle Kolyada
2019-09-02 13:24 Agostino Sarubbo
2019-09-02 11:17 Agostino Sarubbo
2019-09-02 10:15 Agostino Sarubbo
2019-09-02 10:11 Agostino Sarubbo
2019-09-02  9:32 Agostino Sarubbo
2019-09-01  9:21 Sergei Trofimovich
2019-08-31 20:46 Andreas Sturmlechner
2019-08-14 14:06 Andreas Sturmlechner
2018-10-12 14:37 Andreas Sturmlechner
2018-10-12 13:41 Mikle Kolyada
2018-09-15  2:31 Andreas Sturmlechner
2018-09-14 10:18 Tobias Klausmann
2018-08-25 18:55 Sergei Trofimovich
2018-08-25 18:25 Sergei Trofimovich
2018-08-25 18:11 Sergei Trofimovich
2018-08-24  3:16 Mikle Kolyada
2018-08-23  8:34 Sergei Trofimovich
2018-08-23  1:41 Thomas Deutschmann
2018-06-23 17:04 Andreas Sturmlechner
2017-11-26 19:06 Sergei Trofimovich
2017-10-29 21:08 Thomas Deutschmann
2017-10-23 21:00 Sergei Trofimovich
2017-10-16 22:42 Sergei Trofimovich
2017-09-10 11:08 Manuel Rüger
2017-08-06  8:41 Markus Meier
2017-07-31  9:01 Tobias Klausmann
2017-05-15 16:28 Manuel Rüger
2017-03-16 20:37 Matt Turner
2017-02-18 12:31 Manuel Rüger
2017-02-07 23:48 Manuel Rüger
2017-02-07 23:48 Manuel Rüger
2016-09-05 20:50 Manuel Rüger
2016-07-30 10:27 Jeroen Roovers
2016-06-06 19:28 Pacho Ramos
2016-05-31 10:33 Tobias Klausmann
2016-05-04 12:27 Manuel Rüger
2016-05-04 12:27 Manuel Rüger
2016-04-21 15:50 Markus Meier
2016-04-09 13:46 Agostino Sarubbo
2016-01-19 20:52 Manuel Rüger
2015-12-29 22:18 Manuel Rüger
2015-12-29 22:18 Manuel Rüger
2015-10-11 12:41 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685584284.365913190a1c3465b4ca2375f02960db55f10ab5.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox